# ezQuake Manual: Server Settings Variables

## coop

### Description

Whether the next "map" command should start a coop (cooperative) game. Only works when deathmatch var is 0, otherwise coop will be forced off and a deathmatch game will start. You need a file, spprogs.dat, in your quake/qw/ folder for coop games to work.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Enable cooperative.
0 | Disable cooperative.

## filterban

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Only IP addresses NOT on the Ban list will be allowed onto the server.
0 | Only IP addresses on the Ban list will be allowed onto the server.

## floodprotmsg

### Description

Sets the message displayed after flood protection is invoked. Example: floodprotmsg "Shut up whiner!"

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## pausable

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable pause.
0 | Disable pause.

## skill

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | easy level for singleplaying.
1 | Normal level for singleplaying.
2 | Hard level for singleplaying.
3 | Nightmare level for singleplaying.

## sv_cheats

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Enable cheats. (need map realoading)
0 | Disable cheats.

## sv_downloadchunksperframe

### Description

Limits the speed of the chunked downloads

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Server-side. Clients can set high amount of chunks per frame allowed and make your data eat connection traffic rapidly. Use this variable to prevent this.

## sv_fastconnect

### Description

actually no help.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## sv_highchars

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable high character color names for players.
0 | Disable.

## sv_loadentfiles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Enable custom map entity file support.
0 | Disable.

## sv_mapcheck

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable map checksumming to check for players who edit maps to cheat.
0 | Disable.

Note: A player who has edited his map files to cheat by removing textures from walls will not be able to join the server and play.

## sv_maxpitch

### Description

server-side variable for setting maximum of view angles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 80

Variable is integer.
By default, in quakeworld maximum viewangle is '80'. You can set for example '90' then you will be able look directly to sky. q3 players should like it

EZQuake and ZQuake (may be some other) clients understand this physics change, old clients will be clamped at [-70~80] (quakeworld default) view angles.

## sv_maxrate

### Description

Maximum rate for clients.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## sv_maxtic

### Description

The maximum amount of time in seconds before a client a receives an update from the server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.1

Variable is float.

## sv_minpitch

### Description

server-side variable for setting minimum of view angles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -70

Variable is integer.
By default, in quakeworld minimum viewangle is '-70'. You can set for example '-90' then you will be able look directly to floor. q3 players should like it.

EZQuake and ZQuake (may be some other) clients understand this physics change, old clients will be clamped at [-70~80] (quakeworld default) view angles.

## sv_mintic

### Description

The minimum amount of time the server will wait before sending packets to a client.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## sv_nailhack

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Allows nails in most cases to uses less bandwidth and to fly around
0 | Disable.

smoother and point in the right direction.

## sv_paused

### Description

read-only variable that gives you current pause state (condition).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | pause is off
1 | normal pause that can be set by 'pause' command
2 | auto pause (single player only) when going into menus
3 | both (normal pause + auto pause)

## sv_phs

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Has something to do with the table which is build at the loading time
0 | Disable.

of the map.

## sv_spectalk

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Players can hear spectators.
0 | Players can't hear spectators.

## sv_timeout

### Description

Sets the amount of time in seconds before a client is considered disconnected if the server does not receive a packet.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 65

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs